function INF_LOAD()
{
    document.getElementById("btn_ok").style.display='none';
    document.getElementById("show_btn").style.display='block';
    document.getElementById("show_btn").disabled=true;
    return true;
}

function out_password(){
	var obj=document.getElementById("d_password");
	var str=document.getElementById("pwd1").value;
	var chk=true;
	if (str=='' || str.length<6 || str.length>20){chk=false;}
	if (chk){
		obj.className="";
		obj.innerHTML='';

	}else{  
	         if (str.length<6 || str.length>20){
		           if (str.length<6){
					         if(str=='')
							 {
			   					obj.className="d_err";
		       					obj.innerHTML="密码不能为空!";
								 }
							  else
							  {  					   
							   obj.className="d_err";
		                       obj.innerHTML="对不起，密码 必须大于6个字符!";
								  }

					       }
				      else{ 
					         obj.className="d_err";
		                     obj.innerHTML="对不起，密码 必须小于20个字符!";	
			           }
			 }else
			 {
		       obj.className="d_err";
		       obj.innerHTML="密码不能为空!";
			 }
	}
	return chk;
}

function out_confirmconfirmpassword()
{
	var obj=document.getElementById("d_confirmconfirmpassword");
	var str=document.getElementById("pwd2").value;
	var chk=true;
	if (str!=document.getElementById("pwd1").value||str==''){chk=false;}
	if (chk){
		obj.className="";
		obj.innerHTML='';
	}
	else
	{
        if(str=='')
        {
            obj.className="d_err";
            obj.innerHTML="请输入密码。";
        }
        if (str!=document.getElementById("pwd1").value)
        {
            obj.className="d_err";
            obj.innerHTML="对不起，你输入的两个密码不相同!";	
        }
	}
	return chk;
}

var xmlHttp = false;
try {
 xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
} catch (e) {
 try {
 xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
 } catch (e2) {
 xmlHttp = false;
 }
}
if (!xmlHttp && typeof XMLHttpRequest != 'undefined') {
 xmlHttp = new XMLHttpRequest();
}
function user_check() {
 var u_name = document.getElementById("uid").value;
 var obj=document.getElementById("d_user");
 if ((u_name == null) || (u_name == ""))
 {
    obj.className="d_err";
    obj.innerHTML="对不起，用户名不能为空!";
    return;
 }
 if(isLegalString(u_name))
 {
    var url = "../tool/AjaxServices.aspx?UID=" + u_name;
    xmlHttp.open("POST", url, true);
    xmlHttp.onreadystatechange = out_user;
    xmlHttp.send(null);
 }
 else
 {
    obj.className="d_err";
    obj.innerHTML="用户名含有非法字符!";
    return; 
 }
}


function out_user(){
	var obj=document.getElementById("d_user");
	var str=sl(document.getElementById("uid").value);
    var fristValue=document.getElementById("uid").value;
    var u_name = document.getElementById("uid").value;	
 if ((u_name == null) || (u_name == ""))
 {
    obj.className="d_err";
    obj.innerHTML="对不起，用户名不能为空!";
    return;
 }
  if(!isLegalString(u_name))
  {
    obj.className="d_err";
    obj.innerHTML="对不起，用户名含有非法字符!";
    return; 
  }
	var chk=true;
	//alert(xmlHttp.readyState);
 if (xmlHttp.readyState < 4) {
  		obj.className="d_ok";
		obj.innerHTML='正在检测该用户名!';
 }
 if (xmlHttp.readyState == 4) {
    if (xmlHttp.responseText==1){chk=false;}	
}
    if (chk){
		obj.className="";
		obj.innerHTML='';
	}else{
		if (str=='')
		{  
            obj.className="d_err";
            obj.innerHTML="用户名含有非法字符";
			}
		else
		{
		    if (xmlHttp.responseText==1){
		            obj.className="d_err";
		            obj.innerHTML="对不起，此用户名已经被注册!";
					  }else{
					  	obj.className="d_err";
		                   obj.innerHTML="用户名含有非法字符";
					  }
            }
	}
	return chk;

}


function chk_reg(){
	var chk=true;
	if (!out_user()){chk=false}
    if (!out_password()){chk=false}
	if (!out_confirmconfirmpassword()){chk=false}
    if(chk){
	INF_LOAD();
	}
	else
	{
		return false;
    }
}



function sl(st){
	sl1=st.length;
	strLen=0;
	for(i=0;i<sl1;i++){
		if(st.charCodeAt(i)>255) strLen+=2;
	 else strLen++;
	}
	return strLen;
}

function isMobel(value)
{
    if(/^13\d{9}$/g.test(value)||(/^15[0-35-9]\d{8}$/g.test(value))|| (/^18[05-9]\d{8}$/g.test(value)))
    { return true; }
    else
    { return false; }
}

/*
用途：检查输入字符串是否为空或者全部都是空格
*/

function isNull(str){
if ( str == "" ) return true;
var regu = "^[ ]+$";
var re = new RegExp(regu);
return re.test(str);
}
/*
用途：验证特殊字符
*/
function isLegalString(checkedObject) {
 return true;
}